using JiaZhiQuan.Common.Utils;
using System;

namespace JiaZhiQuan.Common.Models.DTO.Invite
{
    public class DownloadInviteInfo
    {
        [ExcelConfig("手机号")]
        public string UserName { get; set; }

        [ExcelConfig("发布内容数")]
        public int SumCount { get; set; }

        [ExcelConfig("待审数")]
        public int AuditCount { get; set; }

        [ExcelConfig("通过审核数")]
        public int PassCount { get; set; }

        [ExcelConfig("未通过审核数")]
        public int NotPassCount { get; set; }

        [ExcelConfig("删除数")]
        public int DeleteCount { get; set; }

        [ExcelConfig("过审S级数")]
        public int LevelS { get; set; }

        [ExcelConfig("过审A级数")]
        public int LevelA { get; set; }

        [ExcelConfig("过审B级数")]
        public int LevelB { get; set; }

        [ExcelConfig("过审C级数")]
        public int LevelC { get; set; }

        [ExcelConfig("过审D级数")]
        public int LevelD { get; set; }

        [ExcelConfig("注册时间")]
        public DateTime CreateAt { get; set; }

        [ExcelConfig("1日留存")]
        public string Day1 { get; set; }

        [ExcelConfig("2日留存")]
        public string Day2 { get; set; }

        [ExcelConfig("3日留存")]
        public string Day3 { get; set; }

        [ExcelConfig("4日留存")]
        public string Day4 { get; set; }

        [ExcelConfig("5日留存")]
        public string Day5 { get; set; }

        [ExcelConfig("6日留存")]
        public string Day6 { get; set; }

        [ExcelConfig("7日留存")]
        public string Day7 { get; set; }

        [ExcelConfig("14日留存")]
        public string Day14 { get; set; }

        [ExcelConfig("30日留存")]
        public string Day30 { get; set; }

        [ExcelConfig("次月留存")]
        public string Month1 { get; set; }
    }
}

